=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-11-12 21:33:59 +0000
+++ bzrlib/branch.py	2005-11-12 21:38:35 +0000
@@ -1123,8 +1123,8 @@
         # It is debatable whether you should be able to bind to
         # a branch which is itself bound.
         # Committing is obviously forbidden, but binding itself may not be.
-        if other.is_bound():
-            raise errors.CannotBind(msg='branch %s is bound' % (other.base))
+        #if other.is_bound():
+        #    raise errors.CannotBind(msg='branch %s is bound' % (other.base))
         try:
             self.working_tree().pull(other)
         except NoWorkingTree:

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-11-12 21:33:59 +0000
+++ bzrlib/builtins.py	2005-11-12 21:38:35 +0000
@@ -1748,7 +1748,7 @@
     takes_options = []
 
     def run(self, location=None):
-        b = Branch.open_containing('.')
+        b, relpath = Branch.open_containing('.')
         if location is None:
             location = b.get_bound_location()
         if location is None:

=== modified file 'bzrlib/selftest/__init__.py'
--- bzrlib/selftest/__init__.py	2005-11-01 12:33:26 +0000
+++ bzrlib/selftest/__init__.py	2005-11-12 21:38:35 +0000
@@ -589,6 +589,7 @@
                    'bzrlib.selftest.test_merge_core',
                    'bzrlib.selftest.test_smart_add',
                    'bzrlib.selftest.test_bad_files',
+                   'bzrlib.selftest.test_bound_branches',
                    'bzrlib.selftest.testdiff',
                    'bzrlib.selftest.test_parent',
                    'bzrlib.selftest.test_xml',

=== modified file 'bzrlib/selftest/test_bound_branches.py'
--- bzrlib/selftest/test_bound_branches.py	2005-11-12 21:33:59 +0000
+++ bzrlib/selftest/test_bound_branches.py	2005-11-12 21:38:35 +0000
@@ -54,6 +54,23 @@
         if loc is not None:
             os.chdir(cwd)
 
+    def test_simple_binding(self):
+        bzr = self.run_bzr
+        self.build_tree(['base/', 'base/a', 'base/b'])
+
+        os.chdir('base')
+        bzr('init')
+        bzr('add')
+        bzr('commit', '-m', 'init')
+
+        os.chdir('..')
+        bzr('branch', 'base', 'child')
+
+        os.chdir('child')
+        bzr('bind', '../base')
+
+        self.failUnlessExists('.bzr/bound')
+
     def test_bound_commit(self):
         bzr = self.run_bzr
         self.create_branches()
@@ -68,7 +85,7 @@
         os.chdir('../base')
         self.check_revno(2)
 
-    def test_bound_fail(self)
+    def test_bound_fail(self):
         """Make sure commit fails if out of date."""
         bzr = self.run_bzr
         self.create_branches()

